Loading...
Searching...
No Matches
OverlapUtil::SegNumAndFrameNum Struct Reference

Represents a segment number and a logical frame number it is found at. More...

## Public Member Functions

| SegNumAndFrameNum (const Uint16 s, const Uint32 f)
| Constructor.
| SegNumAndFrameNum ()
| Default constructor.

## Public Attributes

Uint16 | m_segmentNumber
| Segment number as used in DICOM segmentation object (1-n).
Uint32 | m_frameNumber
| Logical frame number (number of frame in DistinctFramePositions vector).

## Detailed Description

Represents a segment number and a logical frame number it is found at.

## Constructor & Destructor Documentation

## SegNumAndFrameNum()

OverlapUtil::SegNumAndFrameNum::SegNumAndFrameNum | ( | const Uint16 | s,
|  | const Uint32 | f )

inline

Constructor.

Parameters

  s | Segment number
  f | Logical frame number

References m_frameNumber, and m_segmentNumber.

The documentation for this struct was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/overlaputil.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0